Search documentation of ExStreamClient

# ExStreamClient.Model.MessageModerationResult (ExStreamClient v0.1.10)

View Source

Schema representing a MessageModerationResult

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.MessageModerationResult{
      action: String.t(),
      ai_moderation_response: ExStreamClient.Model.ModerationResponse.t() | nil,
      blocked_word: String.t() | nil,
      blocklist_name: String.t() | nil,
      created_at: float(),
      message_id: String.t(),
      moderated_by: String.t() | nil,
      moderation_thresholds: ExStreamClient.Model.Thresholds.t() | nil,
      updated_at: float(),
      user_bad_karma: boolean(),
      user_karma: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()